Subject: [PATCH v2 0/9] Rewrite asm-generic/bitops/{atomic,lock}.h and use on arm64

From: [email-masked] (Will Deacon)
Date: Mon, 4 Jun 2018 10:04:22 +0100

On Mon, Jun 04, 2018 at 09:40:29AM +0200, Peter Zijlstra wrote:
> On Fri, Jun 01, 2018 at 05:06:20PM +0100, Will Deacon wrote:
> > Hi all,
> > 
> > This patch series has previously been posted in RFC form here:
> > 
> >   RFCv1: https://www.spinics.net/lists/arm-kernel/msg634719.html
> >   RFCv2: https://www.spinics.net/lists/arm-kernel/msg636875.html
> >      v1: https://www.spinics.net/lists/arm-kernel/msg655262.html
> > 
> > The only change since v1 is that some of the fetch ops are replaced
> > by non-value-returning ops for some of the atomic bitops.
> > 
> 
> Looks good,
> 
> Acked-by: Peter Zijlstra (Intel) <[email-masked]>

Thanks, Peter!

> How do you want to route this, through tip or the arm64 tree?

I think -tip would make the most sense, if that's ok with Ingo.

Cheers,

Will